Create an agent
POST
/api/v3/agents
const url = 'https://api.tryletterhead.com/api/v3/agents';const form = new FormData();form.append('api', 'true');form.append('type', '0');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/agents \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form api=true \ --form type=0Create a new agent for the company.
Authorizations
Section titled βAuthorizations βRequest Body required
Section titled βRequest Body required β Media type multipart/form-data
object
api
string
Example
true type
string
Example
0Responses
Section titled β Responses β201 Created
Media type application/json
object
items
object
uniqueId
string
name
string
type
integer
guidelines
string
status
integer
runMode
string
frequency
string
validationCode
string
lastRunAt
string
channels
Array<string>
createdAt
string
updatedAt
string
message
string
total
integer
Example
{ "items": { "uniqueId": "mofuehvagv", "name": "House style checker", "type": 0, "guidelines": "> Check the draft against our house style guide.\n> - Use the serial comma.\n> - Spell out numbers under 10; use numerals for 10 and above.\n> - Em dashes take no surrounding spaces.\n>\n> Flag every violation with the specific line it appears on.", "status": 1, "runMode": "manual", "frequency": null, "validationCode": null, "lastRunAt": null, "channels": [ "the-daily" ], "createdAt": "2026-04-11T10:05:33+00:00", "updatedAt": "2026-04-11T10:05:33+00:00" }, "message": "", "total": 10}Still can’t find what you need? Contact support.